<div class="container">
  <h1>New Item</h1>


  <form (ngSubmit)="onSubmit()" #itemForm="ngForm">
    <div class="form-group">
      <label for="seriesid">Series ID</label>
      <input ngModel name="seriesid" id="seriesid" #seriesid="ngModel" type="text" class="form-control" required>
    </div>


    <div class="form-group">
      <label for="subseriesid">Subseries ID</label>
      <input ngModel name="subseriesid" id="subseriesid" #subseriesid="ngModel" type="text" class="form-control" required>
    </div>


    <div class="form-group">
      <label for="box">Box</label>
      <input ngModel name="box" id="box" #box="ngModel" type="text" class="form-control" required>
    </div>


    <div class="form-group">
      <label for="folder">Folder</label>
      <input ngModel name="folder" id="folder" #folder="ngModel" type="text" class="form-control" required>
    </div>


    <div class="form-group">
      <label for="contents">Contents</label>
      <input ngModel name="contents" id="contents" #contents="ngModel" type="text" class="form-control" required>
    </div>


    <div class="form-group">
      <label for="languageArray">Language</label>
      <select ngModel name="language" class="form-control" id="languageArray" required>
        <option *ngFor="let lang of languages" [value]="lang">{{lang}}</option>
      </select>
    </div>


    <div class="form-group">
      <label for="description">Description</label>
      <textarea ngModel name="description" #description="ngModel" class="form-control" id="description" cols="30" rows="10" required
        maxlength="1024"></textarea>
      <span class="form-help">{{description.value?.length}} Characters
      </span>
    </div>


    <button type="submit" (click)="log(itemForm)" class="btn btn-success">Submit</button>
  </form>
</div>